Форум программистов, компьютерный форум CyberForum.ru

Программирование Android

Войти
Регистрация
Восстановить пароль
 
macsmela
0 / 0 / 0
Регистрация: 18.12.2011
Сообщений: 48
#1

Не на всех телефонах работает adMob - Программирование Android

01.08.2014, 12:46. Просмотров 648. Ответов 9
Метки нет (Все метки)

В эмуляторе + на 1 телефоне с android 2.3 все работает, но на двух телефонах с android 4 и выше не работает. При этом есть такое сообщение
E/GooglePlayServicesUtil﹕ The Google Play services resources were not found. Check your project configuration to ensure that the resources are included.
Можете подсказать что делать? Использую android studio, на линуксе.

Добавлено через 33 секунды
Ах да, на эмуляторе andoid 4 и выше
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
01.08.2014, 12:46
Здравствуйте! Я подобрал для вас темы с ответами на вопрос Не на всех телефонах работает adMob (Программирование Android):

Не на всех телефонах работает text to speech - Программирование Android
Странно попытался установить приложение на другие телефон, а на них не работает text to speech. Такое чуство, что не хватает железных...

По-разному работает на разных телефонах - Программирование Android
Делаю программу на Android Studio. И вот такая проблема, что на моём телефоне часть программы не работает, а на другом - работает. В чём...

Кнопка подробнее работает не во всех браузерах и не на всех телефонах - JavaScript
Привет, как исправить можно эту проблему ? на сайте http://u21.it-elit.org/FONAR/ кнопка подробнее работает не во всех браузерах и...

На вход программе подаются сведения о телефонах всех сотрудников некоторого учреждения - PascalABC.NET
На вход программе подаются сведения о телефонах всех сотрудников некоторого учреждения. В первой строке сообщается количество сотрудников...

WI-FI на ноутбуке работает, а на телефонах нет интернета - Wi-Fi
Добрый день! У меня такая проблема, есть роутер Zyxel Keenetic GIGI II. по кабелю интернет раздается на несколько компов нормально. вайфай...

WI-FI на ноутбуке работает, а на телефонах нет интернета - Wi-Fi - Wi-Fi
Добрый день! У меня такая проблема, есть роутер Zyxel Keenetic lite. Подключен модем zyxel p660ru2 интернет раздается на комп нормально....

Надоела реклама? Зарегистрируйтесь и она исчезнет полностью.
dubok79
323 / 121 / 11
Регистрация: 01.11.2012
Сообщений: 586
01.08.2014, 13:59 #2
С первого августа они заставляют всех переходить на новую версию адмоб который теперь живет в сервисах гугл. У меня пока не получилось добавить. Выполнил все по их инструкции - пока пишет ошибки на отсутсвие API версии 9, а где его взять если после 8 сразу шло 10?
macsmela
0 / 0 / 0
Регистрация: 18.12.2011
Сообщений: 48
01.08.2014, 14:02  [ТС] #3
>С первого августа они заставляют всех переходить на новую версию адмоб который теперь живет в сервисах гугл.
У меня вроде этот и есть.
dubok79
323 / 121 / 11
Регистрация: 01.11.2012
Сообщений: 586
01.08.2014, 14:04 #4
Мне кажется у них чего то не хватает. По крайней мере обновления показывают, что их нет, но каких то частей все-таки нет
Vladimirys
307 / 204 / 25
Регистрация: 16.01.2010
Сообщений: 585
01.08.2014, 17:54 #5
Цитата Сообщение от dubok79 Посмотреть сообщение
Выполнил все по их инструкции - пока пишет ошибки на отсутсвие API версии 9, а где его взять если после 8 сразу шло 10?
В Android SDK Manager ставим галку, в Obsolete. И вуаля, все доступно. Косяк в том, что теперь все приложения требуют не менее 9, т.е. 8 и ниже, уже в полном пролете.
И другой косяк, это библиотека утяжеляет приложение на 1 мб, как минимум. Что для небольших приложений существенно. Гугл как всегда радует инновациями не дает разработчиками заржаветь - держит в тонусе
dubok79
323 / 121 / 11
Регистрация: 01.11.2012
Сообщений: 586
05.08.2014, 11:28 #6
Да, сегодня увидел обновление этой либы. Стала она заметно толще. Теперь никак не могу скомпилировать проект. Пишет нехватка памяти. Что можно сделать? У кого так же? Да, и жалко, что проект в 800 кб стал теперь почти на 2мб пользователи будут не в восторге.
Цитата Сообщение от Vladimirys Посмотреть сообщение
Косяк в том, что теперь все приложения требуют не менее 9, т.е. 8 и ниже
Я тоже сначала поставил 9, но потом поставил снова 8 - ошибок нет...хаха правда не создается apk, а так эклипс молчит.
Vladimirys
307 / 204 / 25
Регистрация: 16.01.2010
Сообщений: 585
06.08.2014, 02:21 #7
Цитата Сообщение от dubok79 Посмотреть сообщение
Пишет нехватка памяти. Что можно сделать? У кого так же?
У многих, решение для Eclipse - http://stackoverflow.com/questions/9...limit-exceeded
dubok79
323 / 121 / 11
Регистрация: 01.11.2012
Сообщений: 586
06.08.2014, 12:16 #8
Vladimirys,
Цитата Сообщение от Vladimirys Посмотреть сообщение
Косяк в том, что теперь все приложения требуют не менее 9, т.е. 8 и ниже
Спасибо. Помогло!!! При обновлении эклипса эти параметры снова обновятся?

Добавлено через 5 часов 19 минут
Что то, не отображается реклама то. В старой версии отображается даже с новым идентификатором, а по новому нет. Делал все как гугл пишет. Странно.

Добавлено через 42 минуты
Хотя я поторопился. Все включилось. Правда я поменял android:minSdkVersion="9" с 8 на 9, возможно в этом была проблема.
Vladimirys
307 / 204 / 25
Регистрация: 16.01.2010
Сообщений: 585
06.08.2014, 15:47 #9
Да, в этом скорей всего и была. Можно вернуть назад 8 - ю и проверить И еще, нужно не забывать, хорошо чистить проект от старых адмбовских либ, а то они конфликтуют с гугловскими. Ошибки на ровном месте выскакивают.
dubok79
323 / 121 / 11
Регистрация: 01.11.2012
Сообщений: 586
07.08.2014, 07:35 #10
Vladimirys, да дело было в 8 версии API. А старые удалил в первую очередь. Недавно вышло обновление этой рекламной либы, а то до этого жуть сколько ошибок было.
Думаю тему можно почистить и прикрепить.
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
07.08.2014, 07:35
Привет! Вот еще темы с ответами:

Delphi XE8: Не работает реклама через BannerAd (AdMob) - Delphi FireMonkey
Здравствуйте. Не работает реклама через BannerAd(AdMob). ID рекламного блока правильный. Вызываю так: BannerAd1.AdUnitID :=...

html5 на телефонах ! - HTML, CSS
Извиняюсь что беспокою вас своими глупыми вопросами, у меня такой вопрос! Хочу купить телефон китайсий андроид, но он не подерживает adobe...

Баннеры и AdMob - Программирование Android
Не могу поставить AdMob SDK, просто не видно его в списке Android SDK Manager...

Выплаты AdMob - Программирование Android
Здравствуйте, дело в том, что столкнулся с оформлением выплат денег из AdMob. Я оформил дебетовую карту Tinkoff Black, но поддержка слабо...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
Yandex
Объявления
07.08.2014, 07:35
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Рейтинг@Mail.ru